CRMchat APIBeta
Telegram APIAccount

account.setReactionsNotifySettings

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.setReactionsNotifySettings

Change the reaction notification settings ».

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.setReactionsNotifySettings" \  -H "Content-Type: application/json" \  -d '{    "params": {      "settings": {        "_": "reactionsNotifySettings",        "sound": {          "_": "notificationSoundDefault"        },        "showPreviews": true      }    }  }'
{  "result": {    "_": "reactionsNotifySettings",    "messagesNotifyFrom": {      "_": "reactionNotificationsFromContacts"    },    "storiesNotifyFrom": {      "_": "reactionNotificationsFromContacts"    },    "pollVotesNotifyFrom": {      "_": "reactionNotificationsFromContacts"    },    "sound": {      "_": "notificationSoundDefault"    },    "showPreviews": true  }}